Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.ejb
Class GenericEnterpriseBean

    java.lang.Object
      |
      +--weblogic.ejb.GenericEnterpriseBean

Direct Known Subclasses:
  GenericEntityBean, GenericMessageDrivenBean, GenericSessionBean

public abstract class GenericEnterpriseBean
extends java.lang.Object
implements javax.ejb.EnterpriseBean

Author:
  Copyright (c) 2001 by BEA Systems. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`GenericEnterpriseBean()`

Method Summary
`protected Transaction` | `getCurrentTransaction()` Transaction Methods
`protected java.lang.String` | `getCurrentTransactionStatus()`
`protected java.lang.String` | `getCurrentXID()`
`protected java.lang.Object` | `getEnvEntry(java.lang.String name)`
`protected javax.naming.Context` | `getInitialContext()` Naming Methods
`protected TransactionManager` | `getTransactionManager()`
`protected boolean` | `isTracingEnabled()` Tracing Methods
`protected void` | `logDebugMessage(java.lang.String msg)` Logging Methods
`protected void` | `logDebugMessage(java.lang.String msg, java.lang.Throwable th)`
`protected void` | `logErrorMessage(java.lang.String msg)`
`protected void` | `logErrorMessage(java.lang.String msg, java.lang.Throwable th)`
`protected void` | `setTracingEnabled(boolean b)`
`protected void` | `trace(java.lang.String methodName)`
`protected void` | `trace(java.lang.String methodName, java.lang.Object pk)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericEnterpriseBean

    public GenericEnterpriseBean()

Method Detail

### isTracingEnabled

    protected final boolean isTracingEnabled()

  Tracing Methods

### setTracingEnabled

    protected void setTracingEnabled(boolean b)

### trace

    protected void trace(java.lang.String methodName)

### trace

    protected void trace(java.lang.String methodName,
                         java.lang.Object pk)

### logDebugMessage

    protected void logDebugMessage(java.lang.String msg)

  Logging Methods

### logDebugMessage

    protected void logDebugMessage(java.lang.String msg,
                                   java.lang.Throwable th)

### logErrorMessage

    protected void logErrorMessage(java.lang.String msg)

### logErrorMessage

    protected void logErrorMessage(java.lang.String msg,
                                   java.lang.Throwable th)

### getInitialContext

    protected javax.naming.Context getInitialContext()

  Naming Methods

### getEnvEntry

    protected java.lang.Object getEnvEntry(java.lang.String name)

### getCurrentTransaction

    protected Transaction getCurrentTransaction()

  Transaction Methods

### getCurrentXID

    protected java.lang.String getCurrentXID()

### getTransactionManager

    protected TransactionManager getTransactionManager()

### getCurrentTransactionStatus

    protected java.lang.String getCurrentTransactionStatus()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference